Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002949TestLinkAPI - XMLRPCpublic2009-11-11 05:592010-05-01 20:34
Reporterabadve 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 2 
Summary0002949: update test case result
DescriptionHello

Right now I see no function in the TL API which lets me update a test case result to the database. For .e.g if I am running a test case from a test suite in test runner and I want to be able to update test case result to test link I see no provision of doing that. Is this planned for TL 1.9
What would be helpful is
updateTCResult()
Parameters:
struct $args:
string $args["devKey"]:
string $args["testcasename"]:
string $args["testsuiteidname"]:
int $args["testplanid"]:
int $args["buildid"]: - optional
Return: [status] => true/false of success
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008260)
fman (administrator)
2009-11-11 18:11

what do you intend for update?
if you do a new execution you need to add a new result to avoid loosing execution history.

if you want to update => you wnat to change a previous execution result looing it's original value, and for implementing this exec id parameter is needed
(0008270)
abadve (reporter)
2009-11-12 09:19

Thanks for replying. Here is what I was thinking. Tester creates a build, plan, etc executes a test. When they execute for the first time it will update passed/failed in the test case. Default test case execution result would be not run for example before test execution. Now if they run the same test again for the same build and same test plan, depending on what flag (we can pass as argument in the function call) is set in the API we could either overwrite the previous execution result or keep the history. For the same buildid and planid for my functionality I do not at this point in time care if the execution result is overwritten. Is there any provision of doing this in 1.8.4 API or planned for TL 1.9?
(0008273)
fman (administrator)
2009-11-12 14:30

OK, now request is a little bit clear.
We can think about new argument 'Overwrite last execution', anyway IMHO this
can generate some problems if two app are doing this on same test case version, test plan, build::

appA is writting a NEW result
appB is requesting Overwrite

will be planned for 1.9 or up
(0008285)
abadve (reporter)
2009-11-13 10:12

In the meantime is some code available which can be extended/modified in API 1.8.4 so I can write test case result to Testlink Database based on testcaseid, tesplanid and testsuiteid. It can be a beta version of appA.

Thanks.
(0008361)
fman (administrator)
2009-11-30 01:12

you can get code from CVS HEAD and make some changes to your 1.8.x installation

- Issue History
Date Modified Username Field Change
2009-11-11 05:59 abadve New Issue
2009-11-11 18:11 fman Note Added: 0008260
2009-11-12 09:19 abadve Note Added: 0008270
2009-11-12 14:30 fman Note Added: 0008273
2009-11-13 04:57 abadve Note Added: 0008283
2009-11-13 10:12 abadve Note Added: 0008285
2009-11-13 10:12 abadve Note Deleted: 0008283
2009-11-30 01:12 fman Note Added: 0008361
2009-11-30 01:13 fman Status new => assigned
2009-11-30 01:13 fman Assigned To => fman
2009-11-30 01:13 fman Status assigned => resolved
2009-11-30 01:13 fman Fixed in Version => 1.9 (DEV)
2009-11-30 01:13 fman Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker